Package org.gradle.tooling

# Interface ResultHandler<T>

Type Parameters:
  `T` - The result type.

public interface ResultHandler<T>
A handler for an asynchronous operation which returns an object of type T.

Since:
  1.0-milestone-3

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `onComplete(T result)`
  Handles successful completion of the operation.
  `void`
  `onFailure(GradleConnectionException failure)`
  Handles a failed operation.

- ## Method Details

  - ### onComplete

    void onComplete(T result)
    Handles successful completion of the operation.
    Parameters:
      `result` - the result
    Since:
      1.0-milestone-3

  - ### onFailure

    void onFailure(GradleConnectionException failure)
    Handles a failed operation. This method is invoked once only for a given operation.
    Parameters:
      `failure` - the failure
    Since:
      1.0-milestone-3